##  for Mageia 9  ##

%define ver 20170722
%define rel 2
%define _fontdir /usr/share/fonts/TTF/monapo

Name:    fonts-ttf-monapo
Summary: Monapo Font
Summary(ja): Monapo フォント
Version: %{ver}
Release: %{rel}.np9
Group:   System/Fonts/True type
License: IPA Font License v1.0
URL:     https://github.com/utuhiro78/modified-fonts#monapo
Source0: https://github.com/utuhiro78/modified-fonts/blob/main/monapo-%{version}.tar.xz
BuildArch: noarch
BuildRequires: mkfontdir, mkfontscale
Provides: monapo

%description
"Monapo" font is a combined font that uses ipagp.otf and mona.ttf.
It has almost same width as MS P Gothic, so it can show Japanese Ascii Art properly.

%description -l ja
Monapoフォントは、IPA Pゴシックフォント と モナーフォント を組み合わせて作成されたものです。
MS Pゴシックフォント とほぼ同じ字幅となっており、アスキーアートを表示するのに適しています。


%prep
%setup -q -n monapo-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m 644 monapo.ttf $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-monapo:pri=50

mkfontscale $RPM_BUILD_ROOT%{_fontdir}
mkfontdir $RPM_BUILD_ROOT%{_fontdir}


%files
%defattr(-,root,root)
%doc README ChangeLog
%{_fontdir}/monapo.ttf
%{_fontdir}/fonts.*
%{_sysconfdir}/X11/fontpath.d/ttf-monapo:pri=50


%changelog
* Wed Aug 16 2023 tomcat <> 20170722-2.np9
- update URL

* Sun Feb 26 2023 tomcat <> 20170722-1.np9
- build for Mageia 9
